Companies

Branch locations for this company

POST
/v1/companies/{nmlsId}/branches

Authorization

x-api-key<token>

In: header

Path Parameters

nmlsId*string

Company NMLS ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/companies/string/branches" \  -H "Content-Type: application/json" \  -d '{}'
{
  "cursor": "string",
  "data": [
    {
      "branchNmlsId": "string",
      "city": "string",
      "companyName": "string",
      "companyNmlsId": "string",
      "id": "string",
      "isAuthorized": true,
      "licensedStates": [
        "string"
      ],
      "location": {
        "lat": 0,
        "lon": 0
      },
      "managers": null,
      "name": "string",
      "postalCode": "string",
      "state": "string",
      "street": "string",
      "tradeNames": [
        "string"
      ]
    }
  ],
  "total": 0
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}